Page MenuHomePhabricator

Improve screenreader compatibility in AdvancedSearch
Closed, ResolvedPublic5 Story Points

Description

Allow screenreader users to easily access and use the AdvancedSearch UI.

  • Allow general keyboard interaction ( see T181162 )
  • Set collapse / expand states to the expandable pane
  • Set role=button on expandable pane
  • "Search in" should be a lable for the namespace selection input box. <strong> should be replaced by <label> or maybe even a label widget
  • File width and File height labels are not connected to any fields. It should lead you to at least the first drop down (e.g. "greater than"). If possible, "px" can also be added as a label to the field

[1] https://www.w3.org/TR/wai-aria-practices/

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterFix namespace design issues on search result page
mediawiki/extensions/AdvancedSearch : masterImprove screenreader compatibility

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2017, 10:54 AM
TheDJ updated the task description. (Show Details)Dec 1 2017, 2:31 PM
tstarling added a subscriber: tstarling.

The only WCAG 2.0 violation that I see in here is "The file size textfields for the size are not labelled". This violates SC 1.1.1 "If non-text content is a control or accepts user input, then it has a name that describes its purpose." (Level A)

thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.Jun 12 2018, 4:05 PM
Lea_WMDE triaged this task as Medium priority.Jul 2 2018, 9:05 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Jul 2 2018, 9:32 AM
Lea_WMDE set the point value for this task to 5.Jul 2 2018, 9:35 AM
Lea_WMDE added a subscriber: Lea_WMDE.

The story points are only meant for

  • Set collapse / expand states to the expandable pane
  • Set role=button on expandable pane
  • "Search in" should be a lable for the namespace selection input box. <strong> should be replaced by <label> or maybe even a label widget
  • File width and File height labels are not connected to any fields. It should lead you to at least the first drop down (e.g. "greater than"). If possible, "px" can also be added as a label to the field

Change 444630 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/extensions/AdvancedSearch@master] Improve screenreader compatibility

https://gerrit.wikimedia.org/r/444630

Change 444630 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Improve screenreader compatibility

https://gerrit.wikimedia.org/r/444630

Change 444885 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/extensions/AdvancedSearch@master] Fix namespace design issues on search result page

https://gerrit.wikimedia.org/r/444885

Change 444885 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Fix namespace design issues on search result page

https://gerrit.wikimedia.org/r/444885

I cannot find the collapse/expand state looking at the html of the beta test page. How would be the best way for me to test this ticket?

Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:53 AM